#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.5.35"
SHA1SUM="c507095833aaeef2d6502e12638e54bf7ad2f24a"
URL="http://mesh.dl.sourceforge.net/sourceforge/flex"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 flex &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/flex-${VERSION}.tar.bz2 &&
cd flex-${VERSION} &&

patch_src flex &&

sed -e 's|-O2|-Os|g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDARCH}-linux-gnu --prefix=/usr --disable-nls --disable-largefile &&
sed -e 's|#define malloc rpl_malloc||' -e 's|#define realloc rpl_realloc||' -i config.h &&

make &&

make DESTDIR=${INSTALLDIR} install &&
ln -sf libfl.a ${INSTALLDIR}/usr/lib/libl.a &&

cd ${BUILDDIR} &&
rm -rf flex-${VERSION} 

