#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.9"
SHA1SUM="c873283a88391dca14d0a2a1f74f837cf600f122"
URL="http://isteve.bofh.cz/~isteve/hotplug2"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 hotplug2 &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/hotplug2-${VERSION}.tar.bz2 &&
cd hotplug2-${VERSION} &&

patch_src hotplug2 &&

make CC="${CC} -Os -fPIC" &&

install -v -m755 hotplug2 ${INSTALLDIR}/sbin &&
cat > ${INSTALLDIR}/sbin/hotplug2.sh << EOF &&
#!/bin/sh 

if [ -x /sbin/hotplug2 ] ; then
    /sbin/hotplug2 --no-coldplug --no-dumb --persistent --max-children 5 --set-modprobe-cmd /sbin/modprobe &
fi

EOF
chmod 755 ${INSTALLDIR}/sbin/hotplug2.sh &&

cd ${BUILDDIR} &&
rm -rf hotplug2-${VERSION}

