#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.6.9p17"
SHA1SUM="5bebd636f5d81f323205949e001a525fedf89c1a"
URL="http://www.sudo.ws/sudo/dist"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 sudo &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/sudo-${VERSION}.tar.bz2 &&
cd sudo-${VERSION} &&

patch_src sudo &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --libexecdir=/usr/lib --bindir=/bin --sbindir=/sbin --with-pic --enable-shared --disable-static --disable-largefile --disable-nls --enable-shell-sets-home --disable-path-info --without-pam --without-lecture --without-insults --with-logfac=auth --with-logging=syslog  --with-ignore-dot --without-sendmail &&

make &&

make DESTDIR=${INSTALLDIR} install &&
mv -v ${INSTALLDIR}/bin/sudoedit ${INSTALLDIR}/usr/bin &&
mv -v ${INSTALLDIR}/sbin/visudo ${INSTALLDIR}/usr/sbin &&

cd ${BUILDDIR} &&
rm -rf sudo-${VERSION} 

