#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="35g05"
SHA1SUM="3a19093115bcdde85a3dc1a73fbe91b52508518c"
URL="ftp://ftp.stack.nl/pub/xs-httpd"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain openssl"
##################################################

download_bz2 xshttpd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/xshttpd-${VERSION}.tar.bz2 &&
cd xshttpd-${VERSION} &&

patch_src xshttpd &&

sed -e 's|-O2|-Os|g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/ --bindir=/sbin --sbindir=/sbin --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --libdir=/lib --includedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --disable-largefile --with-curl --with-ssl --with-rootdir=/var/www --without-pcre &&
sed -e 's|-I/usr/local/include -I/usr/include||g' -i Makefile src/Makefile libcompat/Makefile &&

make &&

make DESTDIR=${INSTALLDIR} install &&
rm -rf ${INSTALLDIR}/share &&
mv -v ${INSTALLDIR}/sbin/{clearxs,readxs,xsindex} ${INSTALLDIR}/usr/sbin/ &&

cd ${BUILDDIR} &&
rm -rf xshttpd-${VERSION}

